<?php
/*
Plugin Name: WP-SEOstats
Plugin URI: http://www.dossihost.net/%D7%A7%D7%99%D7%93%D7%95%D7%9D-%D7%90%D7%AA%D7%A8%D7%99%D7%9D-%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-%D7%A4%D7%9C%D7%90%D7%92%D7%99%D7%9F-wp-seostats/
Description: Add SEO stats to the Admin Toolbar in every page/post and also in the edit page/post.
Version: 2.3
Author: DrMosko
Author URI: www.drmosko.com

Text Domain: WP-SEOstats
Domain Path: /lang
*/
/* This script uses https://github.com/eyecatchup/SEOstats */


 
// admin page
function WP_SEOstats_admin() {   
   	add_menu_page(__('WP-SEOstats', 'WP-SEOstats'), 'WP-SEOstats', 'manage_options', 'WP_SEOstats_options', 'WP_SEOstats_admin_options');
	add_submenu_page('WP_SEOstats_options', __('WP SEOstats admin Alexa graphs', 'WP-SEOstats'), __('Alexa graphs', 'WP-SEOstats'), 'manage_options', 'WP_SEOstats_admin_Alexa_graphs', 'WP_SEOstats_admin_Alexa_graphs');
	add_submenu_page('WP_SEOstats_options', __('WP SEOstats admin semrush graphs', 'WP-SEOstats'), __('Semrush Graphs', 'WP-SEOstats'), 'manage_options', 'WP_SEOstats_admin_semrush_graphs', 'WP_SEOstats_admin_semrush_graphs');
	add_submenu_page('WP_SEOstats_options', __('WP SEOstats admin Majestic SEO graphs', 'WP-SEOstats'), __('Majestic SEO Graphs', 'WP-SEOstats'), 'manage_options', 'WP_SEOstats_admin_Majestic_SEO', 'WP_SEOstats_admin_Majestic_SEO');
	
}  
add_action('admin_menu', 'WP_SEOstats_admin');  

function WP_SEOstats_admin_options() {  // display the admin options page
?>
	
	<h2>WP SEOstats</h2>
	
	<?php
		echo '<br/><h2>' . __( 'presented info in pages : ','WP-SEOstats' ) . '</h2><br/>';
		
	?>	
	<div style="direction:ltr">
							<div id="WP_SEOstatsgooglePR">Google PageRank - Google PageRank for the given URL.</div>
							<div id="WP_SEOstatsgoogleTB">Google Total Backlinks </div>
							<div id="WP_SEOstatsgps">Google Plus Shares</div>
							<div id="WP_SEOstatstwitter">Twitter</div>
							<div id="WP_SEOstatsfacebook">Facebook likes</div>
							<div id="WP_SEOstatsalexa">Alexa Global Rank - global Alexa Traffic Rank (last 3 months).</div>
							<div id="WP_SEOstatsalexa">Alexa Back link Count - Alexa's backlink count for the given domain.</div>
							<div id="WP_SEOstatsopensiteex">OpenSiteExplorer Domain Authority - Predicts this domain's ranking potential in the search engines (1 to 100 count).</div>
							<div id="WP_SEOstatsopensiteex">OpenSiteExplorer Page Authority - Predicts this page's ranking potential in the search engines (1 to 100 count).</div>
							<div id="WP_SEOstatsopensiteex">OpenSiteExplorer Root-Domain Inbound Links - Number of unique root domains.</div>
							<div id="WP_SEOstatsopensiteex">OpenSiteExplorer Total Links - All links to this page including internal, external, followed, and nofollowed.</div>
							<div id="WP_SEOstatsopensiteex">OpenSiteExplorer Just added links - Number of links to this page found over the past 32 days.</div>
	</div>
	<div id="WPShabbat-Donation">
	<?php
		echo '<br/><h2>' . __( 'pls make a donation','WP-SEOstats' ) . '</h2><br/>';
		
	?>		
	<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">
	<input type="hidden" name="cmd" value="_s-xclick">
	<input type="hidden" name="hosted_button_id" value="E4SHFMHFFUAKG">
	<input type="image" src="https://www.paypalobjects.com/en_US/IL/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
	<img alt="" border="0" src="https://www.paypalobjects.com/he_IL/i/scr/pixel.gif" width="1" height="1">
	</form>


	</div>
	
	
 
<?php  
}  
function WP_SEOstats_admin_Alexa_graphs() { 
	include( plugin_dir_path( __FILE__ ) . 'Alexa-Graph.php');
}
function WP_SEOstats_admin_SemRush_graphs() { 
	include( plugin_dir_path( __FILE__ ) . 'SemRush-Graph.php');
}
function WP_SEOstats_admin_Majestic_SEO() { 
	include( plugin_dir_path( __FILE__ ) . 'Majestic-SEO.php');
}  

// load language translation

function WP_SEOstats_lang()  
{  
    // Localization  
    load_plugin_textdomain('WP-SEOstats', false, dirname(plugin_basename(__FILE__)) . '/lang');  
}  
  
// Add actions  
add_action('init', 'WP_SEOstats_lang');  


function WP_SEOstats_in_admin_bar() {
    global $wp_admin_bar;
    global $post;
	require_once ('SEOstats/bootstrap.php');
	
	
	
	
		 
            
		
	include( plugin_dir_path( __FILE__ ) . 'Alexa-xml.php');    
	
	if (  ( !is_admin() ) && ( is_admin_bar_showing() )  ) {
		$url = get_permalink();
		
		// Create a new SEOstats instance.
		$seostats = new \SEOstats\SEOstats;
		$seostats->setUrl($url)	;
		
		// Get Open-Site-Explorer metrics for the given URL.
		$ose = \SEOstats\Services\OpenSiteExplorer::getPageMetrics($url);
		$FacebookShares = \SEOstats\Services\Social::getFacebookShares($url);
		
		$wp_admin_bar->add_menu( array(
			'id' => 'WP-SEOstats-in-admin-bar',
			'parent' => 'top-secondary',
			'title' => '<div style="position:relative;direction:ltr;">
							<span id="WP_SEOstatsgooglePR" title="Google PageRank"><img src="' . plugins_url( 'img/Google.png' , __FILE__ ) . '"/>PR:'. \SEOstats\Services\Google::getPageRank() .' </span>
							<span id="WP_SEOstatsgooglePR" title="Google Total Backlinks"><img src="' . plugins_url( 'img/Google.png' , __FILE__ ) . '"/>BL:'. number_format(intval(\SEOstats\Services\Google::getBacklinksTotal())) .' </span>
							<span id="WP_SEOstatsgps" title="Google +""><img src="' .plugins_url( 'img/google+.png' , __FILE__ ). '"/>+:'. \SEOstats\Services\Social::getGooglePlusShares() .' </span>
							<span id="WP_SEOstatstwitter" title="Twitter"><img src="' .plugins_url( 'img/Twitter.png' , __FILE__ ). '"/>+:'. \SEOstats\Services\Social::getTwitterShares() .' </span>
							<span id="WP_SEOstatsfacebook" title="Facebook Likes"><img src="' .plugins_url( 'img/FB.png' , __FILE__ ). '"/>L:'.number_format(intval($FacebookShares['like_count'])) .' </span>
							<span id="WP_SEOstatsfacebook" title="Facebook Likes"><img src="' .plugins_url( 'img/FB.png' , __FILE__ ). '"/>S:'.number_format(intval($FacebookShares['share_count'])) .' </span>
							<span id="WP_SEOstatsalexa" title="Alexa Global Rank"><img src="' .plugins_url( 'img/Alexa.png' , __FILE__ ). '"/>GR:'. number_format(intval($rank)) .' </span>
							<span id="WP_SEOstatsalexa" title="Alexa Backlinks"><img src="' .plugins_url( 'img/Alexa.png' , __FILE__ ). '"/>BL:'. $linksIn .' </span>
							<span id="WP_SEOstatsopensiteex" title="MOZ Domain Authority"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>DA:'. $ose->domainAuthority->result .' </span>
							<span id="WP_SEOstatsopensiteex" title="MOZ Page Authority"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>PA:'. $ose->pageAuthority->result .' </span>
							<span id="WP_SEOstatsopensiteex" title="MOZ Root-Domain Inbound Links"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>LD: '. $ose->linkingRootDomains->result .' </span>
							<span id="WP_SEOstatsopensiteex" title="MOZ Total Links"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>TL: '. $ose->totalLinks->result .' </span>
							<span id="WP_SEOstatsopensiteex" title="MOZ Just added links"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>JL: '. $ose->justDiscovered->result .' </span>
						</div>'
		) );
	}	else {    // admin panel 
		$screen = get_current_screen();
		if ( ($screen->base == 'post') && isset($_GET['action'])  && $_GET['action'] === 'edit' ){
		$url = get_permalink($post->ID);
		$seostats = new \SEOstats\SEOstats;
		$seostats->setUrl($url)	;
		// Get Open-Site-Explorer metrics for the given URL.
		$ose = \SEOstats\Services\OpenSiteExplorer::getPageMetrics($url);
		
		
		$wp_admin_bar->add_menu( array(
			'id' => 'WP-SEOstats-in-admin-bar',
			'parent' => 'top-secondary',
			'title' => '<div style="position:relative;direction:ltr;">
							<span id="WP_SEOstatsgooglePR" title="Google PageRank"><img src="' . plugins_url( 'img/Google.png' , __FILE__ ) . '"/>PR:'. \SEOstats\Services\Google::getPageRank() .' </span>
							<span id="WP_SEOstatsgooglePR" title="Google Total Backlinks"><img src="' . plugins_url( 'img/Google.png' , __FILE__ ) . '"/>BL:'. number_format(intval(\SEOstats\Services\Google::getBacklinksTotal())) .' </span>
							<span id="WP_SEOstatsgps" title="Google +""><img src="' .plugins_url( 'img/google+.png' , __FILE__ ). '"/>+:'. \SEOstats\Services\Social::getGooglePlusShares() .' </span>
							<span id="WP_SEOstatstwitter" title="Twitter"><img src="' .plugins_url( 'img/Twitter.png' , __FILE__ ). '"/>+:'. \SEOstats\Services\Social::getTwitterShares() .' </span>
							<span id="WP_SEOstatsfacebook" title="Facebook Likes"><img src="' .plugins_url( 'img/FB.png' , __FILE__ ). '"/>L:'.number_format(intval($FacebookShares['like_count'])) .' </span>
							<span id="WP_SEOstatsfacebook" title="Facebook Likes"><img src="' .plugins_url( 'img/FB.png' , __FILE__ ). '"/>S:'.number_format(intval($FacebookShares['share_count'])) .' </span>
							<span id="WP_SEOstatsalexa" title="Alexa Global Rank"><img src="' .plugins_url( 'img/Alexa.png' , __FILE__ ). '"/>GR:'. number_format(intval($rank)) .' </span>
							<span id="WP_SEOstatsalexa" title="Alexa Backlinks"><img src="' .plugins_url( 'img/Alexa.png' , __FILE__ ). '"/>BL:'. $linksIn .' </span>
							<span id="WP_SEOstatsopensiteex" title="MOZ Domain Authority"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>DA:'. $ose->domainAuthority->result .' </span>
							<span id="WP_SEOstatsopensiteex" title="MOZ Page Authority"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>PA:'. $ose->pageAuthority->result .' </span>
							<span id="WP_SEOstatsopensiteex" title="MOZ Root-Domain Inbound Links"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>LD: '. $ose->linkingRootDomains->result .' </span>
							<span id="WP_SEOstatsopensiteex" title="MOZ Total Links"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>TL: '. $ose->totalLinks->result .' </span>
							<span id="WP_SEOstatsopensiteex" title="MOZ Just added links"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>JL: '. $ose->justDiscovered->result .' </span>
						</div>'
		) );
		}
	}
}
add_action( 'admin_bar_menu', 'WP_SEOstats_in_admin_bar' );

// add dashboard meta box
function wp_SEOstats_dashboard_widgets()
{
add_meta_box( 'wp_SEOstats_dashboard_widget', 'WP-SEOStats', 'wp_SEOstats_dashboard_widget_function', 'dashboard', 'side', 'high' );
}
add_action( 'wp_dashboard_setup', 'wp_SEOstats_dashboard_widgets' );

function wp_SEOstats_dashboard_widget_function() {
		require_once ('SEOstats/bootstrap.php');
		$url = get_site_url();
		//$url = 'http://www.dossihost.net';
		
		// Create a new SEOstats instance.
		$seostats = new \SEOstats\SEOstats;
		$seostats->setUrl($url)	;
		
		// Get Open-Site-Explorer metrics for the given URL.
		$ose = \SEOstats\Services\OpenSiteExplorer::getPageMetrics($url);
		$FacebookShares = \SEOstats\Services\Social::getFacebookShares($url);
		
		include( plugin_dir_path( __FILE__ ) . 'Alexa-xml.php');

	echo '<div style="position:relative;direction:ltr;">
							<h4>Google:</h4><span id="WP_SEOstatsgooglePR" title="Google PageRank"><img src="' . plugins_url( 'img/Google.png' , __FILE__ ) . '"/>PR:'. \SEOstats\Services\Google::getPageRank() .' </span>
							<span id="WP_SEOstatsgooglePR" title="Google Total Backlinks"><img src="' . plugins_url( 'img/Google.png' , __FILE__ ) . '"/>BL:'. number_format(intval(\SEOstats\Services\Google::getBacklinksTotal())) .' </span>
							<h4>Social:</h4><span id="WP_SEOstatsgps" title="Google +"><img src="' .plugins_url( 'img/google+.png' , __FILE__ ). '"/>+:'. \SEOstats\Services\Social::getGooglePlusShares() .' </span>
							<span id="WP_SEOstatstwitter" title="Twitter"><img src="' .plugins_url( 'img/Twitter.png' , __FILE__ ). '"/>+:'. \SEOstats\Services\Social::getTwitterShares() .' </span>
							<span id="WP_SEOstatsfacebook" title="Facebook Likes"><img src="' .plugins_url( 'img/FB.png' , __FILE__ ). '"/>L:'.number_format(intval($FacebookShares['like_count'])) .' </span>
							<span id="WP_SEOstatsfacebook" title="Facebook Likes"><img src="' .plugins_url( 'img/FB.png' , __FILE__ ). '"/>S:'.number_format(intval($FacebookShares['share_count'])) .' </span>
							<h4>Alexa:</h4><span id="WP_SEOstatsalexa" title="Alexa Global Rank"><img src="' .plugins_url( 'img/Alexa.png' , __FILE__ ). '"/>GR:'. number_format(intval($rank)) .' </span>
							<span id="WP_SEOstatsalexa" title="Alexa Backlinks"><img src="' .plugins_url( 'img/Alexa.png' , __FILE__ ). '"/>BL:'. $linksIn .' </span>
							<h4>MOZ:</h4><span id="WP_SEOstatsopensiteex" title="MOZ Domain Authority"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>DA:'. $ose->domainAuthority->result .' </span>
							<span id="WP_SEOstatsopensiteex" title="MOZ Page Authority"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>PA:'. $ose->pageAuthority->result .' </span>
							<span id="WP_SEOstatsopensiteex" title="MOZ Root-Domain Inbound Links"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>LD: '. $ose->linkingRootDomains->result .' </span>
							<span id="WP_SEOstatsopensiteex" title="MOZ Total Links"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>TL: '. $ose->totalLinks->result .' </span>
							<span id="WP_SEOstatsopensiteex" title="MOZ Just added links"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>JL: '. $ose->justDiscovered->result .' </span>
							<br/><br/>
							<h4>Google PageRank Graph History:</h4>
							<img src="http://www.domaincrawler.com/graph/grey-square/big/'.$url = str_replace('http://www.','',$url).'" />
							
				</div>';
}
?>